# WSBIM1207

This is the Renku project for the [WSBIM1207](https://uclouvain-cbio.github.io/WSBIM1207/) 
course 'Introduction to bioinformatics':

> The WSBIM1207 course is an introduction to bioinformatics (and data science)
> for biology and biomedical students. It introduces bioinformatics methodology 
> and technologies without relying on any prerequisites. The aim of this course 
> is for students to be in a position to understand important notions of 
> bioinformatics and tackle simple bioinformatics-related problems in R, in 
> particular to develope simple R analysis scripts and reproducible analysis 
> reports to interogate, visualise and understand data in a tidy tabular format.

The default setup is for students to work on pre-configured university computers 
or, if they wish so, to use their own computers. This Renku project will 
enable them, or anyone who is interested, to use a pre-configured container.


## Working with the project

The simplest way to start your project is right from the Renku
platform - just click on the `Environments` tab and start a new session.
This will start an interactive environment right in your browser.

To work with the project anywhere outside the Renku platform,
click the `Settings` tab where you will find the
git repo URLs - use `git` to clone the project on whichever machine you want.

### Changing interactive environment dependencies

Initially we install a very minimal set of packages to keep the images small.
However, you can add python and conda packages in `requirements.txt` and
`environment.yml` to your heart's content. If you need more fine-grained
control over your environment, please see [the documentation](https://renku.readthedocs.io/en/latest/user/advanced_interfaces.html#dockerfile-modifications).

## Project configuration

Project options can be found in `.renku/renku.ini`. In this
project there is currently only one option, which specifies
the default type of environment to open, in this case `/rstudio`.

## Moving forward

Once you feel at home with your project, we recommend that you replace
this README file with your own project documentation! Happy data wrangling!
